<?php
namespace nulib\db\pdo;

use nulib\db\_private\_base;
use nulib\db\_private\Tbindings;

class query extends _base {
  use Tbindings;

  const DEBUG_QUERIES = false;

  function useStmt(\PDO $db, ?\PDOStatement &$stmt=null, ?string &$sql=null): bool {
    if (static::DEBUG_QUERIES) { #XXX
      error_log($this->sql);
      //error_log(var_export($this->bindings, true));
    }
    if ($this->bindings !== null) {
      $stmt = $db->prepare($this->sql);
      foreach ($this->bindings as $name => $value) {
        $this->verifixBindings($value);
        $stmt->bindValue($name, $value);
      }
      return true;
    } else {
      $sql = $this->sql;
      return false;
    }
  }
}
